<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ws.console.wbi.scaconfig.*"%>
<%@ page import="com.ibm.ws.console.wbi.corescaconfig.SIBInfo"%>
<%@ page import="com.ibm.ws.console.wbi.corescaconfig.MsgEngineLinkInfo"%>
<%@ page import="com.ibm.ws.security.core.SecurityContext"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="formName" classname="java.lang.String" />

<bean:define id="form" name="com.ibm.ws.console.wbi.scaconfig.SCAConfigForm"
		type="com.ibm.ws.console.wbi.scaconfig.SCAConfigForm"/>
<% 
	SIBInfo sibInfo = form.getSibInfo();
	ArrayList msgEngineList = sibInfo.getMsgEngineList();
	
	boolean ifShowLink = false; 
	if(SecurityContext.isSecurityEnabled()){
        if(request.isUserInRole("administrator") || request.isUserInRole("configurator")){
            ifShowLink = true;
        }
    }
    else{
    	ifShowLink = true;
    }
%>

<TD VALIGN="top">
	<DIV id="additional.properties" class="main-category" style='margin-left:0.3em;'>                            
		<bean:message key="SCAConfig.additionalProp.displayName"/>
    </DIV>                           
	<DIV id="child_additional.properties" class="main-category-container" style='margin-left:0.3em'>
		<DIV id="javaprocessmanagement.properties" class="sub-category">
			<LI CLASS="nav-bullet" TITLE="<bean:message key="SCAConfig.additionalProp.MessageEngines.description"/>">
				<bean:message key="SCAConfig.additionalProp.MessageEngines.displayName"/>
			</LI>                     
        </DIV>
        <DIV id="child_javaprocessmanagement.properties" class="sub-category-container" style="display:block">
			<UL CLASS="main-child">
				<%
				MsgEngineLinkInfo msgEngine = null;
				for(int n=0; n<msgEngineList.size(); n++)
				{
					msgEngine =(MsgEngineLinkInfo)msgEngineList.get(n);
					String link= "sIBMessagingEngineCollectionForSCA.do?"+ msgEngine.link;
					String linkName= msgEngine.linkName;
				%>
					<LI CLASS="nav-bullet" TITLE="<bean:message key="SCAConfig.additionalProp.MessageEngines.description"/>">
						
						<a href=<%=link%>>  
		                	<%=linkName%>                        
						</a> 
					</LI>
				<%
				} //for loop
				%>
			</UL>
		</DIV>
		<% if(ifShowLink){
			String linkalias= form.getWasAliasLink(); //"SoacorejAASAuthDataCollection.do?securityEntityName=SCA_Auth_Alias&amp;lastpage=SCAConfig.config.view";
		%>
		<DIV id="authalias.properties" class="sub-category">
			<LI CLASS="nav-bullet" TITLE="<bean:message key="SCAConfig.additionalProp.SystemAndAppBusAuthentication.description"/>">
				<a href=<%=linkalias%>>  
		            <bean:message key="SCAConfig.additionalProp.SystemAndAppBusAuthentication.displayName"/>                      
				</a> 
			</LI>  
		</DIV>
		<%
			} 
		%>               
	</DIV> 
</TD>        
        
